public int eseguiComputazione(int[] input)
{
	int PC = 1; /* Contatore di programma */
	int R[] = new int[100]; /* Registri */
	boolean in_esecuzione = true;
	
	/* Tutti i registri non ricevuti in input vengono azzerati */
	for (int i = 0; i < R.length; i++)
		R[i] = (i < input.length) ? input[i] : 0;
	
	/* Questo ciclo serve a simulare l'istruzione goto, non presente in Java */
	while (in_esecuzione)
	{
		/* PC corrisponde alla riga del codice sorgente */
		switch (PC)
		{
			case 1: /* J(1,2,10) */
				if (R[0] == R[1]) /* salto condizionato */
				{
					PC = 10;
					break;
				}
			case 2: /* T(1,4) */
				R[3] = R[0];
			case 3: /* T(2,5) */
				R[4] = R[1];
			case 4: /* S(2) */
				R[1]++;
			case 5: /* S(3) */
				R[2]++;
			case 6: /* S(4) */
				R[3]++;
			case 7: /* J(1,2,10) */
				if (R[0] == R[1]) /* salto condizionato */
				{
					PC = 10;
					break;
				}
			case 8: /* J(4,5,10) */
				if (R[3] == R[4]) /* salto condizionato */
				{
					PC = 10;
					break;
				}
			case 9: /* J(1,1,4) */
				PC = 4; /* salto incondizionato */
				break;
			case 10: /* T(3,1) */
				R[0] = R[2];
			default:
				in_esecuzione = false; /* Termina la computazione */
				break;
		}
	}
	
	return R[0]; /* Restituisce il valore del primo registro */
}
