public int eseguiComputazione(int[] input)
{
	int PC = 1; /* Contatore di programma */
	int R[] = new int[100]; /* Registri */
	boolean in_esecuzione = true;
	
	/* Tutti i registri non ricevuti in input vengono azzerati */
	for (int i = 0; i < R.length; i++)
		R[i] = (i < input.length) ? input[i] : 0;
	
	/* Questo ciclo serve a simulare l'istruzione goto, non presente in Java */
	while (in_esecuzione)
	{
		/* PC corrisponde alla riga del codice sorgente */
		switch (PC)
		{
			case 1: /* J(1,2,31) */
				if (R[0] == R[1]) /* salto condizionato */
				{
					PC = 31;
					break;
				}
			case 2: /* S(2) */
				R[1]++;
			case 3: /* T(1,7) */
				R[6] = R[0];
			case 4: /* T(2,1) */
				R[0] = R[1];
			case 5: /* S(8) */
				R[7]++;
			case 6: /* T(8,2) */
				R[1] = R[7];
			case 7: /* J(1,1,10) */
				PC = 10; /* salto incondizionato */
				break;
			case 8: /* J(7,8,33) */
				if (R[6] == R[7]) /* salto condizionato */
				{
					PC = 33;
					break;
				}
			case 9: /* J(1,1,5) */
				PC = 5; /* salto incondizionato */
				break;
			case 10: /* Z(3) */
				R[2] = 0;
			case 11: /* Z(5) */
				R[4] = 0;
			case 12: /* J(2,3,29) */
				if (R[1] == R[2]) /* salto condizionato */
				{
					PC = 29;
					break;
				}
			case 13: /* T(1,6) */
				R[5] = R[0];
			case 14: /* T(2,4) */
				R[3] = R[1];
			case 15: /* Z(1) */
				R[0] = 0;
			case 16: /* S(5) */
				R[4]++;
			case 17: /* T(6,2) */
				R[1] = R[5];
			case 18: /* J(1,1,21) */
				PC = 21; /* salto incondizionato */
				break;
			case 19: /* J(4,5,8) */
				if (R[3] == R[4]) /* salto condizionato */
				{
					PC = 8;
					break;
				}
			case 20: /* J(1,1,16) */
				PC = 16; /* salto incondizionato */
				break;
			case 21: /* Z(3) */
				R[2] = 0;
			case 22: /* J(1,3,27) */
				if (R[0] == R[2]) /* salto condizionato */
				{
					PC = 27;
					break;
				}
			case 23: /* S(2) */
				R[1]++;
			case 24: /* S(3) */
				R[2]++;
			case 25: /* J(1,3,27) */
				if (R[0] == R[2]) /* salto condizionato */
				{
					PC = 27;
					break;
				}
			case 26: /* J(1,1,23) */
				PC = 23; /* salto incondizionato */
				break;
			case 27: /* T(2,1) */
				R[0] = R[1];
			case 28: /* J(1,1,19) */
				PC = 19; /* salto incondizionato */
				break;
			case 29: /* Z(1) */
				R[0] = 0;
			case 30: /* J(1,1,8) */
				PC = 8; /* salto incondizionato */
				break;
			case 31: /* Z(1) */
				R[0] = 0;
			case 32: /* S(1) */
				R[0]++;
			case 33: /* Z(10) */
				R[9] = 0;
			default:
				in_esecuzione = false; /* Termina la computazione */
				break;
		}
	}
	
	return R[0]; /* Restituisce il valore del primo registro */
}
