public int eseguiComputazione(int[] input)
{
	int PC = 1; /* Contatore di programma */
	int R[] = new int[100]; /* Registri */
	boolean in_esecuzione = true;
	
	/* Tutti i registri non ricevuti in input vengono azzerati */
	for (int i = 0; i < R.length; i++)
		R[i] = (i < input.length) ? input[i] : 0;
	
	/* Questo ciclo serve a simulare l'istruzione goto, non presente in Java */
	while (in_esecuzione)
	{
		/* PC corrisponde alla riga del codice sorgente */
		switch (PC)
		{
			case 1: /* J(2,3,18) */
				if (R[1] == R[2]) /* salto condizionato */
				{
					PC = 18;
					break;
				}
			case 2: /* T(1,6) */
				R[5] = R[0];
			case 3: /* T(2,4) */
				R[3] = R[1];
			case 4: /* Z(1) */
				R[0] = 0;
			case 5: /* S(5) */
				R[4]++;
			case 6: /* T(6,2) */
				R[1] = R[5];
			case 7: /* J(1,1,10) */
				PC = 10; /* salto incondizionato */
				break;
			case 8: /* J(4,5,19) */
				if (R[3] == R[4]) /* salto condizionato */
				{
					PC = 19;
					break;
				}
			case 9: /* J(1,1,5) */
				PC = 5; /* salto incondizionato */
				break;
			case 10: /* Z(3) */
				R[2] = 0;
			case 11: /* J(1,3,16) */
				if (R[0] == R[2]) /* salto condizionato */
				{
					PC = 16;
					break;
				}
			case 12: /* S(2) */
				R[1]++;
			case 13: /* S(3) */
				R[2]++;
			case 14: /* J(1,3,16) */
				if (R[0] == R[2]) /* salto condizionato */
				{
					PC = 16;
					break;
				}
			case 15: /* J(1,1,12) */
				PC = 12; /* salto incondizionato */
				break;
			case 16: /* T(2,1) */
				R[0] = R[1];
			case 17: /* J(1,1,8) */
				PC = 8; /* salto incondizionato */
				break;
			case 18: /* Z(1) */
				R[0] = 0;
			default:
				in_esecuzione = false; /* Termina la computazione */
				break;
		}
	}
	
	return R[0]; /* Restituisce il valore del primo registro */
}
