public int eseguiComputazione(int[] input)
{
	int PC = 1; /* Contatore di programma */
	int R[] = new int[100]; /* Registri */
	boolean in_esecuzione = true;
	
	/* Tutti i registri non ricevuti in input vengono azzerati */
	for (int i = 0; i < R.length; i++)
		R[i] = (i < input.length) ? input[i] : 0;
	
	/* Questo ciclo serve a simulare l'istruzione goto, non presente in Java */
	while (in_esecuzione)
	{
		/* PC corrisponde alla riga del codice sorgente */
		switch (PC)
		{
			case 1: /* J(1,3,6) */
				if (R[0] == R[2]) /* salto condizionato */
				{
					PC = 6;
					break;
				}
			case 2: /* S(2) */
				R[1]++;
			case 3: /* S(3) */
				R[2]++;
			case 4: /* J(1,3,6) */
				if (R[0] == R[2]) /* salto condizionato */
				{
					PC = 6;
					break;
				}
			case 5: /* J(1,1,2) */
				PC = 2; /* salto incondizionato */
				break;
			case 6: /* T(2,1) */
				R[0] = R[1];
			default:
				in_esecuzione = false; /* Termina la computazione */
				break;
		}
	}
	
	return R[0]; /* Restituisce il valore del primo registro */
}
